﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Activity
Version=11.5
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: True
	#IncludeTitle: False
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Dim ix_xui As XUI
	Dim is_access As Accessibility
	Dim timer1 As Timer
	

End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.
	Dim imedia_player As MediaPlayer
	Dim is_currenttime As Long
	Dim is_nexttime As Long

	Private btn_setalarmtiming As Button
	Private btn_startalarm As Button
	Private ilbl_heading As Label
	Private if_flexgridtabledetailslist As FlexGrid
	Private ilbl_details As Label
	Private ip_detailstablepanel As Panel
	Private btn_savetable As Button
	Private edit_time As EditText
	Private ilbl_minsec As Label
	Private ilbl_time As Label
	Private pnl_minsec As Panel
	Private pnl_time As Panel
	Private spnr_minsec As Spinner
	Private pnl_setalarm As Panel
End Sub

Sub Activity_Create(FirstTime As Boolean)
	'Do not forget to load the layout file created with the visual designer. For example:
	 Activity.LoadLayout("alarm_sound")
	 
	imedia_player.Initialize2("MP")
	timer1.Initialize("Timer1", 1000)
	 
	pnl_setalarm.Visible = False
	
	if_flexgridtabledetailslist.Font = ix_xui.CreateFont(Typeface.DEFAULT, 14/is_access.GetUserFontScale)
	if_flexgridtabledetailslist.HeaderFont = ix_xui.CreateFont(Typeface.DEFAULT, 15/is_access.GetUserFontScale)
	
	if_flexgridtabledetailslist.ColsName = Array As String("S.No", "Time", "Min/Sec")
													   
	if_flexgridtabledetailslist.ColsWidth = Array As Int(100dip, 150dip, 150dip)
														 
	if_flexgridtabledetailslist.ColsType = Array As Int(if_flexgridtabledetailslist.TypeInt, if_flexgridtabledetailslist.TypeInt, if_flexgridtabledetailslist.TypeString)
													
	if_flexgridtabledetailslist.ColsAlignment = Array As String("CENTER", "CENTER", "CENTER")
	
	spnr_minsec.AddAll(Array As String ("Seconds", "Minutes"))

End Sub

Sub Activity_Resume

End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub


Private Sub btn_savetable_Click
	If edit_time.Text == "" Then
		Return
	End If
	
	Dim ls_sno As Int = 0
	
	If if_flexgridtabledetailslist.RowCount == 0 Then
		ls_sno = 0
	Else If if_flexgridtabledetailslist.RowCount > 0 Then
		For i = 0 To if_flexgridtabledetailslist.RowCount - 1
			ls_sno = if_flexgridtabledetailslist.GetCellValue(i,0)
		Next
	End If
	
	Dim row(3) As Object
	
	row(0) = ls_sno + 1
	row(1) = edit_time.Text.Trim
	row(2) = spnr_minsec.SelectedItem
	
	if_flexgridtabledetailslist.AddRow(row, False)
	if_flexgridtabledetailslist.SetColAlignment(0,"CENTER")
	
	pnl_setalarm.Visible = False
	btn_setalarmtiming.Enabled = True
	btn_startalarm.Enabled = True
	
End Sub

Private Sub btn_setalarmtiming_Click
	pnl_setalarm.Visible = True
	btn_setalarmtiming.Enabled = False
	btn_startalarm.Enabled = False
	
End Sub

Private Sub btn_startalarm_Click
	timer1.Enabled = True
	
	For i = 0 To if_flexgridtabledetailslist.RowCount - 1
		Dim rowdata As List = if_flexgridtabledetailslist.GetCellRow(i)
		
		Dim ls_time As String = rowdata.Get(1)
		Dim ls_minsec As String = rowdata.Get(2)
		
		Log(ls_time)
		
		Dim ls_totaltime As String = ls_time & " " & ls_minsec
		Log("totaltime : " & ls_totaltime)
		
		Dim p As Period
		If ls_minsec == "Minutes" Then
			p.Minutes = ls_time
		Else If ls_minsec == "Seconds" Then
			p.Seconds = ls_time
		End If
		
		is_currenttime = DateTime.Now
		is_nexttime = DateUtils.AddPeriod(DateTime.Now, p)
		
		Log("currenttime : " & DateTime.Time(is_currenttime))
		Log("nexttime : " & DateTime.Time(is_nexttime))
		Sleep(is_nexttime)
		Timer1_Tick
		
	Next
	
'	For i = 0 To if_flexgridtabledetailslist.RowCount - 1
'		
'		Dim ls_time As String = if_flexgridtabledetailslist.GetCellValue(i,1)
'		Dim ls_minsec As String = if_flexgridtabledetailslist.GetCellValue(i,2)
'		
'		Dim ls_totaltime As String = ls_time & " " & ls_minsec
'		Log("totaltime : " & ls_totaltime)
'		
'		Dim p As Period
'		If ls_minsec == "Minutes" Then
'			p.Minutes = ls_time
'		Else If ls_minsec == "Seconds" Then
'			p.Seconds = ls_time
'		End If
'		
'		is_currenttime = DateTime.Now
'		is_nexttime = DateUtils.AddPeriod(DateTime.Now, p)
'		
'		Log("currenttime : " & DateTime.Time(is_currenttime))
'		Log("nexttime : " & DateTime.Time(is_nexttime))
'	Next

End Sub

Sub Timer1_Tick
	If DateTime.Now >= is_nexttime Then
		timer1.Enabled = False ' Disable the timer
		imedia_player.Load(File.DirAssets, "beepsound.mp3")
		imedia_player.Play
	End If
	
End Sub

'Private Sub btn_startalarm_Click
'	timer1.Enabled = True
'	
'	For i = 0 To if_flexgridtabledetailslist.RowCount - 1
'		
'		Dim ls_time As String = if_flexgridtabledetailslist.GetCellValue(i,1)
'		Dim ls_minsec As String = if_flexgridtabledetailslist.GetCellValue(i,2)
'		
'		Dim ls_totaltime As String = ls_time & " " & ls_minsec
'		Log("totaltime : " & ls_totaltime)
'		
'		Dim p As Period
'		If ls_minsec == "Minutes" Then
'			p.Minutes = ls_time
'		Else If ls_minsec == "Seconds" Then
'			p.Seconds = ls_time
'		End If
'		
'		is_currenttime = DateTime.Now
'		is_nexttime = DateUtils.AddPeriod(DateTime.Now, p)
'		
'		Log("currenttime : " & DateTime.Time(is_currenttime))
'		Log("nexttime : " & DateTime.Time(is_nexttime))
'	Next
''	
'''	Dim tempmapdetail As Map
'''	tempmapdetail.Initialize
'''	
'''	Dim templistdetail As List
'''	templistdetail.Initialize
'''	
'''	For i = 0 To if_flexgridtabledetailslist.RowCount - 1
'''		tempmapdetail.Put("S.No" ,if_flexgridtabledetailslist.GetCellValue(i,0))
'''		tempmapdetail.Put("Time" , if_flexgridtabledetailslist.GetCellValue(i,1))
'''		tempmapdetail.Put("Min/Sec" , if_flexgridtabledetailslist.GetCellValue(i,2))
'''		
'''		templistdetail.Add(tempmapdetail)
'''		
'''	Next
'''	
'''	Log("list : " & templistdetail)
'''	
'''	Dim jsongenerator As JSONGenerator
'''	jsongenerator.Initialize2(templistdetail)
'''	
'''	Dim jsonstr As String
'''	jsonstr = jsongenerator.ToString
'''	
'''	Log("json : " & jsonstr)
''	
'End Sub
'
'Sub Timer1_Tick
'	' Check if the current time has reached or passed the next time
'	If DateTime.Now >= is_nexttime Then
'		timer1.Enabled = False ' Disable the timer
''		MsgboxAsync("Success", "Time Alert")
'		imedia_player.Load(File.DirAssets, "beepsound.mp3")
'		imedia_player.Play
'	End If
'	
'End Sub